> For the complete documentation index, see [llms.txt](https://docs.wisej.com/api/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.wisej.com/api/wisej.web/enumerations/wisej.web.datetimepickerformat.md).

# DateTimePickerFormat

Namespace: **Wisej.Web**

Assembly: **Wisej.Framework** (4.0.0.0)

Specifies the date and time format the [DateTimePicker](/api/wisej.web/editors/wisej.web.datetimepicker.md) control displays.

{% tabs %}
{% tab title="C#" %}

```csharp
public enum DateTimePickerFormat : Enum
```

{% endtab %}

{% tab title="VB.NET" %}

```visual-basic
Public Enum DateTimePickerFormat As [Enum]
```

{% endtab %}
{% endtabs %}

## Fields

| Name         | Description                                                                                                                                                                                                                               |
| ------------ | ----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| **Custom**   | The [DateTimePicker](/api/wisej.web/editors/wisej.web.datetimepicker.md) control displays the date/time value in a custom format defined in the [CustomFormat](/api/wisej.web/editors/wisej.web.datetimepicker.md#customformat) property. |
| **DateTime** | The [DateTimePicker](/api/wisej.web/editors/wisej.web.datetimepicker.md) control displays the date/time value using the default date + time format (G).                                                                                   |
| **Long**     | The [DateTimePicker](/api/wisej.web/editors/wisej.web.datetimepicker.md) control displays the date/time value using the default long date format (D).                                                                                     |
| **Short**    | The [DateTimePicker](/api/wisej.web/editors/wisej.web.datetimepicker.md) control displays the date/time value using the default short date format (d).                                                                                    |
| **Time**     | The [DateTimePicker](/api/wisej.web/editors/wisej.web.datetimepicker.md) control displays the date/time value using the default time format (T).                                                                                          |

## Used By

| Name                                                                                                                                          | Description                                                                                                                                 |
| --------------------------------------------------------------------------------------------------------------------------------------------- | ------------------------------------------------------------------------------------------------------------------------------------------- |
| [DateTimePicker.Format](/api/wisej.web/editors/wisej.web.datetimepicker.md#format)                                                            | Returns or sets the format of the date/time value displayed in the control.                                                                 |
| [DataGridViewDateTimePickerCell.Format](/api/wisej.web/lists-and-grids/datagridview/wisej.web.datagridviewdatetimepickercell.md#format)       | Returns or sets the format of the date/time value displayed in the control.                                                                 |
| [DataGridViewDateTimePickerColumn.Format](/api/wisej.web/lists-and-grids/datagridview/wisej.web.datagridviewdatetimepickercolumn.md#format)   | Returns or sets the format of the date/time value displayed in the control.                                                                 |
| [DateTimePickerExtensions.Format](/api/wisej.web.markup/extensions/wisej.web.markup.datetimepickerextensions.md#format-datetimepicker-format) | Sets the format for displaying date and time in the specified [DateTimePicker](/api/wisej.web/editors/wisej.web.datetimepicker.md) control. |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.wisej.com/api/wisej.web/enumerations/wisej.web.datetimepickerformat.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
